summaryrefslogtreecommitdiff
path: root/qa/526
diff options
context:
space:
mode:
authorIgor Pashev <pashev.igor@gmail.com>2014-10-26 12:33:50 +0400
committerIgor Pashev <pashev.igor@gmail.com>2014-10-26 12:33:50 +0400
commit47e6e7c84f008a53061e661f31ae96629bc694ef (patch)
tree648a07f3b5b9d67ce19b0fd72e8caa1175c98f1a /qa/526
downloadpcp-debian.tar.gz
Debian 3.9.10debian/3.9.10debian
Diffstat (limited to 'qa/526')
-rwxr-xr-xqa/52631
1 files changed, 31 insertions, 0 deletions
diff --git a/qa/526 b/qa/526
new file mode 100755
index 0000000..3c10107
--- /dev/null
+++ b/qa/526
@@ -0,0 +1,31 @@
+#!/bin/sh
+# PCP QA Test No. 526
+# Exercise metric name validation in Log Import API
+#
+# Copyright (c) 2013, Red Hat.
+#
+
+seq=`basename $0`
+echo "QA output created by $seq"
+
+# get standard environment, filters and checks
+. ./common.product
+. ./common.filter
+. ./common.check
+
+[ $PCP_VER -ge 3800 ] || _notrun "Installed libpcp_import lacks name checks"
+_check_valgrind
+
+status=1 # failure is the default!
+$sudo rm -rf $tmp.* $seq.full
+trap "cd $here; rm -rf $tmp.*; exit \$status" 0 1 2 3 15
+
+# real QA test starts here
+for name in '.' 'abc.123' '1bc.123' 'abc.xyz' 'a' '1' 'kernel.all.load' 'ab.cd.'
+do
+ echo
+ _run_valgrind src/check_import_name "$name"
+done
+
+status=0
+exit